Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.objects
Class XRTreeFrag

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.objects.XObject
                  |
                  +--org.apache.xpath.objects.XRTreeFrag

public class XRTreeFrag
extends XObject

This class represents an XPath result tree fragment object, and is capable of converting the RTF to other types, such as a string.

See Also:
  Serialized Form

Fields inherited from class org.apache.xpath.objects.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN`

Constructor Summary
`XRTreeFrag(DocumentFragment frag)` Create an XObject.

Method Summary
`NodeIterator` | `asNodeIterator()` Cast result object to a nodelist.
`boolean` | `bool()` Cast result object to a boolean.
`NodeList` | `convertToNodeset()` Cast result object to a nodelist.
`boolean` | `equals(XObject obj2)` Tell if two objects are functionally equal.
`int` | `getType()` Tell what kind of class this is.
`double` | `num()` Cast result object to a number.
`DocumentFragment` | `rtree()` Cast result object to a result tree fragment.
`java.lang.String` | `str()` Cast result object to a string.

Methods inherited from class org.apache.xpath.objects.XObject
`castToType, create, execute, greaterThan, greaterThanOrEqual, lessThan, lessThanOrEqual, mutableNodeset, nodeset, notEquals, object, rtree, toString`

Methods inherited from class org.apache.xpath.Expression
`assert, error, warn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XRTreeFrag

    public XRTreeFrag(DocumentFragment frag)

  Create an XObject.

Method Detail

### getType

    public int getType()

  Tell what kind of class this is.
  Overrides:
    getType in class XObject

### num

    public double num()

  Cast result object to a number.
  Overrides:
    num in class XObject

### bool

    public boolean bool()

  Cast result object to a boolean. This always returns true for a RTreeFrag because it is treated like a node-set with a single root node.
  Overrides:
    bool in class XObject

### str

    public java.lang.String str()

  Cast result object to a string.
  Overrides:
    str in class XObject

### rtree

    public DocumentFragment rtree()

  Cast result object to a result tree fragment.
  Overrides:
    rtree in class XObject

### asNodeIterator

    public NodeIterator asNodeIterator()

  Cast result object to a nodelist.

### convertToNodeset

    public NodeList convertToNodeset()

  Cast result object to a nodelist. (special function).

### equals

    public boolean equals(XObject obj2)
                   throws SAXException

  Tell if two objects are functionally equal.
  Overrides:
    equals in class XObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.